libevent 1.4.14b compile error

Share your compiler knowledge

Moderators: Joyce, Laura, Eminent-Admin

Re: libevent 1.4.14b compile error

Postby MartinHerrman » 19 Jan 2011, 12:05

I had some friends over for dinner, so I decided not to start working on transmission, but instead optimized configure arguments for curl before they arrived.

Thanks for the warning. I have now chosen for -O2, but -Os might just make the difference. Or other optimizations (smaller curl library?) might solve the problem.

On the other hand, you have to make a package for real customers, I make a package for myself in the first place. I never use nzb, so I can remove that if needed.

When the package is just above 30MB and during firmware upgrade it appears to be too large, will it abort the upgrade and return to the existing firmware, or do I have a broken device? (and need that special cable to repair it?)
User avatar
MartinHerrman
Forum Supporter
 
Posts: 99
Joined: 08 May 2010, 11:24

Re: libevent 1.4.14b compile error

Postby Alex » 19 Jan 2011, 12:54

There are some scenarios in place, but just make sure, you don't go over 30Mbyte. The package (PKG) contains both the kernel and filesystem, so it's usually a bit bigger.
With current stable firmware, the flash is almost completely filled, there is very little space left.

This is one of the reasons B-rad implemented the auto-(over)mounting of .bin files from usb stick/disk. Just make a file.bin on usb stick, mount it with bind, and you're done.
Forum rules: viewtopic.php?t=4
Using Mediainfo: viewtopic.php?t=1110
Telnet: viewtopic.php?t=1873
Alex
Forum Goddess
 
Posts: 1799
Joined: 12 Nov 2009, 13:05

Previous

Return to EM7075 - Cross-compiling issues & tips

Who is online

Users browsing this forum: No registered users and 1 guest

cron